/*
---------------------------------------------------------------------------------------------
			MIDI Sequencer - Final Year Project, A.J. Green
---------------------------------------------------------------------------------------------

File Name:	EventDlgs.h

Description:	Prototypes for event creation and modification dialogue boxes.

Author:		AJG

History:

Update	Date		Programmer	Comments
======	====		==========	========
001	18/02/94	AJG		File Created.

--------------------------------------------------------------------------------------------
*/

#ifndef _EVENT_DLGS_H_
#define _EVENT_DLGS_H_

typedef enum
{
	RUNNING   = 0,
	COMPLETED = 1,
	CANCELLED = 2
}
Midi_EventDlgState;

EventList Midi_TextEventDlg(byte EventCode, long Time, char *Text, Boolean New);

EventList Midi_NoteEventDlg(long Time,     byte    Channel, 
			    byte Pitch,    byte    Velocity, 
			    long Duration, Boolean New);


EventList Midi_CtrlChngEventDlg(long Time,       byte Channel,
				byte Controller, byte Value,   Boolean New);

EventList Midi_ProgramChangeEventDlg(long Time, byte Channel, byte Program, Boolean New);

#endif

