/*
---------------------------------------------------------------------------------------------
			MIDI Sequencer - Final Year Project, A.J. Green
---------------------------------------------------------------------------------------------

File Name:	Sequence.h

Description:	Prototypes for sequencer playback functions.

Author:		AJG

History:

Update	Date		Programmer	Comments
======	====		==========	========
001	29/03/94	AJG		File Created.
002     09/08/94        JPff            Midi_SeqOutInit given Boolean value
003	17/02/95	cc		Added #ifdefs for HAVE_Z8530

--------------------------------------------------------------------------------------------
*/

#ifndef _MIDI_SEQUENCE_H_
#define _MIDI_SEQUENCE_H_

void Midi_SeqPlayFile(void);
Boolean Midi_SeqOutInit(void);

#ifdef HAVE_SGI_MIDI_LIB

/* SGI dmedia MIDI library support code is by      */
/* Archer Sully (archer@elysium.esd.sgi.com), hope */
/* I've integrated it right -- cc                  */

#define SGI_MIDI 1

#else
#ifdef HAVE_Z8530

#define ZILOG 1

#else

#define NO_SEQUENCE 1

#endif /* HAVE_Z8530 */
#endif /* HAVE_SGI_MIDI_LIB */

#endif
